Package jakarta.security.auth.message

## Class MessagePolicy.TargetPolicy

- java.lang.Object
- - jakarta.security.auth.message.MessagePolicy.TargetPolicy

Enclosing class:
  MessagePolicy

    public static class MessagePolicy.TargetPolicy
    extends java.lang.Object

### Constructor Summary

Constructors
`TargetPolicy​(MessagePolicy.Target[] targets, MessagePolicy.ProtectionPolicy protectionPolicy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MessagePolicy.ProtectionPolicy` `getProtectionPolicy()`
`MessagePolicy.Target[]` `getTargets()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TargetPolicy

    public TargetPolicy​(MessagePolicy.Target[] targets,
                        MessagePolicy.ProtectionPolicy protectionPolicy)

### Method Detail

#### getTargets

    public MessagePolicy.Target[] getTargets()

#### getProtectionPolicy

    public MessagePolicy.ProtectionPolicy getProtectionPolicy()